This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 119976 - screen save screws up X--the cursors
screen save screws up X--the cursors
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-04 09:38 EDT by Don Hardaway
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-08 08:29:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Don Hardaway 2004-04-04 09:38:26 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040312

Description of problem:
I went to adjust the time and after exiting the time adjustment
program, for some reason the screen save flashed for a second on the
screen and then the display resumed normally but with the cursors now
solid black instead of having a white border around black.  This has
also happened everytime i leave my computer for a while and the screen
saver comes on.  So--it appears that the screen saver is somehow
messing up the cursor in X.

Version-Release number of selected component (if applicable):
xorg-x11-0.6.6-0.2004_03_30.1

How reproducible:
Always

Steps to Reproduce:
1.let the screen save come on and run for a while
2.resume
3.
    

Actual Results:  the cursor is solid black

Expected Results:  it should be the normal appearance as when you
first login.

Additional info:
Comment 1 Mike A. Harris 2004-07-07 04:28:00 EDT
Sounds like an timestamp related problem WRT time going forward
or backward, like XFree86 4.2.x and earlier had, where you would
set the time backward and the server would lockup or do weird things,
or if you set the time forward, the screensaver would kick in.

Does this problem occur with FC2 with all updates still?

Note You need to log in before you can comment on or make changes to this bug.